export = stringify;
declare function stringify(...args: any[]): Stringifier;
declare namespace stringify {
    export { Stringifier };
    export { CsvError };
}
declare class Stringifier extends Transform {
    constructor(opts?: {});
    options: {
        record_delimiter: string | null;
    };
    state: {
        stop: boolean;
    };
    info: {
        records: number;
    };
    normalize(options: any): Error | undefined;
    stringify(chunk: any, chunkIsHeader?: boolean): any;
    bom(): void;
    headers(): void;
    __cast(value: any, context: any): any[];
    normalize_columns(columns: any): any;
}
declare class CsvError extends Error {
    constructor(code: any, message: any, ...contexts: any[]);
    code: any;
}
import { Transform } from "stream";
//# sourceMappingURL=index.d.ts.map