"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isObject = exports.md5 = void 0;
var crypto_browserify_1 = require("crypto-browserify");
var md5 = function (str) {
    if (typeof str !== 'string') {
        throw new Error('The parameter must be a string');
    }
    return crypto_browserify_1.createHash('md5')
        .update(str.trim())
        .digest('hex');
};
exports.md5 = md5;
// eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types
var isObject = function (obj) {
    return Object.prototype.toString.call(obj) === '[object Object]';
};
exports.isObject = isObject;
//# sourceMappingURL=Misc.js.map